VULKAN_HPP_NAMESPACE::PhysicalDeviceSampleLocationsPropertiesEXT Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PhysicalDeviceSampleLocationsPropertiesEXT:
[legend]

## Public Member Functions

| operator VkPhysicalDeviceSampleLocationsPropertiesEXT const & () const
| operator VkPhysicalDeviceSampleLocationsPropertiesEXT & ()
bool | operator== (PhysicalDeviceSampleLocationsPropertiesEXT const &rhs) const
bool | operator!= (PhysicalDeviceSampleLocationsPropertiesEXT const &rhs) const

## Data Fields

void * | pNext = nullptr
SampleCountFlags | sampleLocationSampleCounts
Extent2D | maxSampleLocationGridSize
float | sampleLocationCoordinateRange [2]
uint32_t | sampleLocationSubPixelBits
Bool32 | variableSampleLocations

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceSampleLocationsPropertiesEXT

## Detailed Description

Definition at line 28347 of file vulkan.hpp.

## Member Function Documentation

## operator VkPhysicalDeviceSampleLocationsPropertiesEXT &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceSampleLocationsPropertiesEXT::operator VkPhysicalDeviceSampleLocationsPropertiesEXT & | ( |  | ) |

inline

Definition at line 28354 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceSampleLocationsPropertiesEXT*>(this);
}

## operator VkPhysicalDeviceSampleLocationsPropertiesEXT const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceSampleLocationsPropertiesEXT::operator VkPhysicalDeviceSampleLocationsPropertiesEXT const & | ( |  | ) | const

inline

Definition at line 28349 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceSampleLocationsPropertiesEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceSampleLocationsPropertiesEXT::operator!= | ( | PhysicalDeviceSampleLocationsPropertiesEXT const & | rhs | ) | const

inline

Definition at line 28370 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceSampleLocationsPropertiesEXT::operator== | ( | PhysicalDeviceSampleLocationsPropertiesEXT const & | rhs | ) | const

inline

Definition at line 28359 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( sampleLocationSampleCounts == rhs.sampleLocationSampleCounts )
&& ( maxSampleLocationGridSize == rhs.maxSampleLocationGridSize )
&& ( memcmp( sampleLocationCoordinateRange, rhs.sampleLocationCoordinateRange, 2 * sizeof( float ) ) == 0 )
&& ( sampleLocationSubPixelBits == rhs.sampleLocationSubPixelBits )
&& ( variableSampleLocations == rhs.variableSampleLocations );
}

References maxSampleLocationGridSize, pNext, sampleLocationCoordinateRange, sampleLocationSampleCounts, sampleLocationSubPixelBits, sType, and variableSampleLocations.

Referenced by operator!=().

## Field Documentation

## maxSampleLocationGridSize

Extent2D VULKAN_HPP_NAMESPACE::PhysicalDeviceSampleLocationsPropertiesEXT::maxSampleLocationGridSize

Definition at line 28381 of file vulkan.hpp.

Referenced by operator==().

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceSampleLocationsPropertiesEXT::pNext = nullptr

Definition at line 28379 of file vulkan.hpp.

Referenced by operator==().

## sampleLocationCoordinateRange

float VULKAN_HPP_NAMESPACE::PhysicalDeviceSampleLocationsPropertiesEXT::sampleLocationCoordinateRange[2]

Definition at line 28382 of file vulkan.hpp.

Referenced by operator==().

## sampleLocationSampleCounts

SampleCountFlags VULKAN_HPP_NAMESPACE::PhysicalDeviceSampleLocationsPropertiesEXT::sampleLocationSampleCounts

Definition at line 28380 of file vulkan.hpp.

Referenced by operator==().

## sampleLocationSubPixelBits

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceSampleLocationsPropertiesEXT::sampleLocationSubPixelBits

Definition at line 28383 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceSampleLocationsPropertiesEXT::sType = StructureType::ePhysicalDeviceSampleLocationsPropertiesEXT

private

Definition at line 28376 of file vulkan.hpp.

Referenced by operator==().

## variableSampleLocations

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceSampleLocationsPropertiesEXT::variableSampleLocations

Definition at line 28384 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PhysicalDeviceSampleLocationsPropertiesEXT::maxSampleLocationGridSize
Extent2D maxSampleLocationGridSize
Definition: vulkan.hpp:28381
VULKAN_HPP_NAMESPACE::PhysicalDeviceSampleLocationsPropertiesEXT::sampleLocationSampleCounts
SampleCountFlags sampleLocationSampleCounts
Definition: vulkan.hpp:28380
VULKAN_HPP_NAMESPACE::PhysicalDeviceSampleLocationsPropertiesEXT::variableSampleLocations
Bool32 variableSampleLocations
Definition: vulkan.hpp:28384
VULKAN_HPP_NAMESPACE::PhysicalDeviceSampleLocationsPropertiesEXT::sampleLocationSubPixelBits
uint32_t sampleLocationSubPixelBits
Definition: vulkan.hpp:28383
VULKAN_HPP_NAMESPACE::PhysicalDeviceSampleLocationsPropertiesEXT::pNext
void * pNext
Definition: vulkan.hpp:28379
VkPhysicalDeviceSampleLocationsPropertiesEXT
Definition: vulkan_core.h:7664
VULKAN_HPP_NAMESPACE::PhysicalDeviceSampleLocationsPropertiesEXT::sampleLocationCoordinateRange
float sampleLocationCoordinateRange[2]
Definition: vulkan.hpp:28382
VULKAN_HPP_NAMESPACE::PhysicalDeviceSampleLocationsPropertiesEXT::operator==
bool operator==(PhysicalDeviceSampleLocationsPropertiesEXT const &rhs) const
Definition: vulkan.hpp:28359
VULKAN_HPP_NAMESPACE::PhysicalDeviceSampleLocationsPropertiesEXT::sType
StructureType sType
Definition: vulkan.hpp:28376